Package org.h2gis.functions.spatial.buffer

# Class ST_RingSideBuffer

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.buffer.ST_RingSideBuffer

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_RingSideBuffer extends org.h2gis.api.DeterministicScalarFunction
Compute a ring buffer on one side

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_RingSideBuffer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferSize, int numBuffer)`
Compute a ring buffer on one side of the geometry
`static org.locationtech.jts.geom.Geometry`
`ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters)`
`static org.locationtech.jts.geom.Geometry`
`ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters, boolean doDifference)`
Compute a ring buffer on one side of the geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_RingSideBuffer

public ST_RingSideBuffer()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### ringSideBuffer

public static org.locationtech.jts.geom.Geometry ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferSize, int numBuffer) throws SQLException
Compute a ring buffer on one side of the geometry

Parameters:
  `geom` -
  `bufferSize` -
  `numBuffer` -
Returns:
Throws:
  `SQLException`

### ringSideBuffer

public static org.locationtech.jts.geom.Geometry ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters) throws SQLException

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `parameters` -
Returns:
Throws:
  `SQLException`

### ringSideBuffer

public static org.locationtech.jts.geom.Geometry ringSideBuffer(org.locationtech.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters, boolean doDifference) throws SQLException
Compute a ring buffer on one side of the geometry

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `parameters` -
  `doDifference` -
Returns:
Throws:
  `SQLException`